summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVedang Manerikar <ved.manerikar@gmail.com>2022-07-21 16:06:06 -0700
committerVedang Manerikar <ved.manerikar@gmail.com>2022-07-21 16:12:03 -0700
commit0b8d47ddddbf2e41a446df847701d00a9de01745 (patch)
tree2cb724643f3fcf7b0f5709383fe27d26408dcb31
parent4d53fd2a87ee28eff3b4fa856a8c65d74b5f1a85 (diff)
Fix: Dockerfile for ubuntu-18/20 needs fix-missing
The output on the terminal suggested using fix-missing, which seems to fix the sources and find the packages :)
-rw-r--r--server/test/Makefile4
-rw-r--r--server/test/docker/templates/ubuntu-18.Dockerfile.in2
-rw-r--r--server/test/docker/templates/ubuntu-20.Dockerfile.in2
3 files changed, 4 insertions, 4 deletions
diff --git a/server/test/Makefile b/server/test/Makefile
index 1520786..4946458 100644
--- a/server/test/Makefile
+++ b/server/test/Makefile
@@ -27,13 +27,13 @@ docker/%.Dockerfile: docker/templates/%.Dockerfile.in \
# Build the Dockerfile
docker/.%.build: docker/%.Dockerfile ../autobuild docker/lib
@echo Building target $*
- podman build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../
+ podman image build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../ || exit 0
touch $@
# Run the Dockerfile
docker/%: docker/.%.build
@echo Running tests on target $*
- podman run --name epdfinfo-$* epdfinfo/$*
+ podman container run --rm --name epdfinfo-$* epdfinfo/$*
# Run all Dockerfiles
docker/test: docker/build $(patsubst %, docker/%, $(DOCKER_OS))
diff --git a/server/test/docker/templates/ubuntu-18.Dockerfile.in b/server/test/docker/templates/ubuntu-18.Dockerfile.in
index f49284d..b139c84 100644
--- a/server/test/docker/templates/ubuntu-18.Dockerfile.in
+++ b/server/test/docker/templates/ubuntu-18.Dockerfile.in
@@ -2,4 +2,4 @@
FROM ubuntu:bionic
ARG DEBIAN_FRONTEND=noninteractive
# Need to install make, tzdata here to avoid stupid prompts when running package install via autobuild
-RUN apt-get update -y && apt-get install -y make tzdata
+RUN apt-get update --fix-missing -y && apt-get install -y make tzdata
diff --git a/server/test/docker/templates/ubuntu-20.Dockerfile.in b/server/test/docker/templates/ubuntu-20.Dockerfile.in
index 4b0d3a4..f650856 100644
--- a/server/test/docker/templates/ubuntu-20.Dockerfile.in
+++ b/server/test/docker/templates/ubuntu-20.Dockerfile.in
@@ -2,4 +2,4 @@
FROM ubuntu:focal
ARG DEBIAN_FRONTEND=noninteractive
# Need to install make, tzdata here to avoid stupid prompts when running package install via autobuild
-RUN apt-get update -y && apt-get install -y make tzdata
+RUN apt-get update --fix-missing -y && apt-get install -y make tzdata